---
title: Configuration
---

## Configuration

The Configuration page of the Admin Interface is that area of your store where you implement decisions about how you want your store to be set up. This is where you decide which shipping methods you offer, which categories you assign to product, how you want currency displayed, and dozens of other settings.

The guides in this section will walk you through making all of those configuration decisions, and show you how to customize your Spree store to best fit your particular needs.

You will learn how to:

* [Set up General Settings](configuring_general_settings)
* [Set up Taxation](configuring_taxes)
* [Create Zones, Countries, and States](configuring_geography)
* [Configure Payment Methods](payment_methods)
* [Understand how the Taxonomies works](configuring_taxonomies)
* [Create Shipments and calculate them](configuring_shipping)
* [Make additional Inventory Settings](configuring_inventory)
* [Add robust Google Analytics](configuring_analytics)
* [Configure Reimbursement Types](configuring_reimbursement_types)
* [Configure Return Authorization Reasons](configuring_return_authorization_reasons)
* [Set Store Credit categories](configuring_store_credit_categories)